<div class="my-6 rounded-t-lg">
  <div class="rounded-t-lg bg-white pb-4">
    <v-simple-table class="scrollTable c-pointer rounded-lg" fixed-header>
      <template v-slot:default>
        <thead>
          <tr>
            <th class="table-head">
              <div class="d-flex align-center">
                <p class="mb-0 uppercase text-content-main text-sm">Admin</p>
              </div>
            </th>
            <th class="table-head text-left">
              <div style="width: 160px">
                <p class="mb-0 uppercase text-content-main text-sm">
                  Created Date
                </p>
              </div>
            </th>
            <th class="table-head text-left w-32">
              <div style="width: 160px">
                <p class="mb-0 uppercase text-content-main text-sm">
                  Quick Action
                </p>
              </div>
            </th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="(admin,i) in listAdmin" :key="i">
            <td>
              <div class="font-semibold text-sm">{{admin.name}}</div>
              <div class="font-semibold text-xs">{{admin.email}}</div>
            </td>
            <td>
              {{admin.createdAt && $utils.formatDateCreatedAt(admin.createdAt)}}
            </td>
            <td class="py-3">
              <div>
                <v-menu bottom left offset-y>
                  <template v-slot:activator="{ on, attrs }">
                    <div
                      v-bind="attrs"
                      v-on="on"
                      class="ml-3 cursor-pointer w-6"
                    >
                      <v-icon class="text-gray-title-common">
                        mdi-dots-horizontal
                      </v-icon>
                    </div>
                  </template>
                  <v-list class="!py-0">
                    <v-list-item
                      class="cursor-pointer hover:bg-gray-100"
                      @click="openDialogViewDetail(admin)"
                    >
                      <v-list-item-title>
                        <p class="mb-0 text-sm font-weight-medium contentBlack">
                          View Details
                        </p>
                      </v-list-item-title>
                    </v-list-item>
                  </v-list>
                </v-menu>
              </div>
            </td>
          </tr>
        </tbody>
      </template>
    </v-simple-table>
    <div
      class="d-flex justify-center ma-4"
      v-if="listAdmin.length == 0 && !loadingTable"
    >
      <div>
        <div class="d-flex align-center justify-center">
          <img
            src="~/assets/images/payment/no-payment.png"
            alt=""
            width="136"
            height="136"
          />
        </div>
        <p class="mb-0 mt-4 text-center text-sm text-gray-500 font-semibold">
          No Admin
        </p>
      </div>
    </div>
    <div
      class="text-center mt-4 pb-2 d-sm-flex align-center justify-center"
      v-if="listAdmin.length && !loadingTable"
    >
      <v-pagination
        v-model="config.page"
        :length="totalPage"
        :total-visible="5"
        class="pagination"
      >
      </v-pagination>
      <div
        id="hideBottomInput"
        class="input-gotopage pos-relative px-3 px-sm-0 mt-3 mt-sm-0"
      >
        <v-text-field
          dense
          outlined
          v-model.number="page"
          placeholder="Go to page"
        >
        </v-text-field>
        <div class="button-inside-input">
          <v-btn
            height="36px"
            color="#076CE3"
            class="px-0 button-inside-input__button elevation-0"
            @click="onRedirectPage()"
          >
            <v-icon color="#ffffff"> mdi-chevron-right </v-icon>
          </v-btn>
        </div>
      </div>
    </div>
  </div>
  <v-row justify="center">
    <v-dialog v-model="dialogViewDetail" max-width="480 ">
      <v-card class="bg-white" id="hideBottomInput">
        <div class="py-5 px-4 flex items-center justify-between">
          <div>
            <p class="mb-0 text-gray-900 font-semibold text-xl">
              Admin Details
            </p>
            <span class="text-sm text-gray-900">
              Show information of an Admin
            </span>
          </div>
          <v-btn icon small @click="dialogViewDetail = false">
            <v-icon color="#111827"> mdi-close </v-icon>
          </v-btn>
        </div>
        <v-divider></v-divider>
        <div class="pa-6">
          <!-- <div class="grid grid-cols-12 mt-4">
            <div class="col-span-12 md:col-span-6 flex items-center">
              <div class="bg-gray-100 pa-2">
                <v-icon>
                  mdi-store
                </v-icon>
              </div>
              <p class="mb-0 ml-2 text-sm text-neutral-900 leading-20 font-semibold">
                Seller Name:
              </p>
            </div>
            <div class="col-span-12 md:col-span-6 flex items-center">
              <p class="mb-0 text-sm text-gray-900 leading-5">
                {{adminDetail.name}}
              </p>
            </div>
          </div> -->
          <div class="grid grid-cols-12 mt-4">
            <div class="col-span-12 md:col-span-6 flex items-center">
              <div class="bg-gray-100 pa-2">
                <v-icon> mdi-gmail </v-icon>
              </div>
              <p
                class="mb-0 ml-2 text-sm text-neutral-900 leading-20 font-semibold"
              >
                Email:
              </p>
            </div>
            <div class="col-span-12 md:col-span-6 flex items-center">
              <p class="mb-0 text-sm text-gray-900 leading-5">
                {{adminDetail.email}}
              </p>
            </div>
          </div>
          <!-- <div class="grid grid-cols-12 mt-4">
            <div class="col-span-12 md:col-span-6 flex items-center">
              <div class="bg-gray-100 pa-2">
                <v-icon>
                  mdi-phone
                </v-icon>
              </div>
              <p class="mb-0 ml-2 text-sm text-neutral-900 leading-20 font-semibold">
                Phone Number:
              </p>
            </div>
            <div class="col-span-12 md:col-span-6 flex items-center">
              <p class="mb-0 text-sm text-gray-900 leading-5">
                {{adminDetail.phoneNumber}}
              </p>
            </div>
          </div>
          <div class="grid grid-cols-12 mt-4">
            <div class="col-span-12 md:col-span-6 flex items-center">
              <div class="bg-gray-100 pa-2">
                <v-icon>
                  mdi-gmail
                </v-icon>
              </div>
              <p class="mb-0 ml-2 text-sm text-neutral-900 leading-20 font-semibold">
                Email support:
              </p>
            </div>
            <div class="col-span-12 md:col-span-6 flex items-center">
              <p class="mb-0 text-sm text-gray-900 leading-5">
                {{adminDetail.supportEmail}}
              </p>
            </div>
          </div> -->
          <div class="grid grid-cols-12 mt-4">
            <div class="col-span-12 md:col-span-6 flex items-center">
              <div class="bg-gray-100 pa-2">
                <v-icon> mdi-calendar-text </v-icon>
              </div>
              <p
                class="mb-0 ml-2 text-sm text-neutral-900 leading-20 font-semibold"
              >
                Joined Date:
              </p>
            </div>
            <div class="col-span-12 md:col-span-6 flex items-center">
              <p class="mb-0 text-sm text-gray-900 leading-5">
                {{adminDetail.createdAt &&
                $utils.formatDateCreatedAt(adminDetail.createdAt)}}
              </p>
            </div>
          </div>
        </div>
      </v-card>
    </v-dialog>
  </v-row>
</div>
